package TestingSystem.SAPFOR.SapforTasksPackage.UI;
import TestingSystem.SAPFOR.Json.SapforVersionState;
import TestingSystem.SAPFOR.Json.SapforVersion_json;
public class VersionSummary extends SapforPackageTreeNode {
    public String version_name = "";
    public String version_description = "";
    public SapforVersionState state = SapforVersionState.Empty;
    public VersionSummary(SapforVersion_json version_json, SapforVersionState state_in) {
        setUserObject(version_json);
        version_name = version_json.Home.getName();
        version_description = version_json.description;
        state = state_in;
    }
    @Override
    public String getImageKey() {
        return state.toString();
    }
    @Override
    public String toString() {
        return version_name + " : " + version_description;
    }
}
